/*
 Theme Name:   Köksträdgården 2026
 Description:  Ett tema för Köksträdgården.
 Author:       JK Effekt
 Author URI:   https://jkeffekt.se
 Template:     twentytwentyfive
 Version:      1.0.1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         block-patterns, block-styles, custom-background, custom-colors, custom-header, custom-menu, custom-logo, editor-style, featured-images, full-site-editing, wide-blocks, translation-ready
 Text Domain:  kokstradgarden
*/


@import url("../twentytwelve/style.css");
@import url("https://fast.fonts.net/cssapi/19476c88-d0cf-4baf-b1b6-4aa4d2ce8307.css");

/*
FÄRGER
Grå: #DEDEDE
Ljusgrå: #F2F2F2
Mörklila: #3A002D

FONTER
font-family:'Gill Sans W01 Light';
font-family:'GillSansW01-LightItalic';
font-family:'Gill Sans W01 Book';
font-family:'GillSansW01-BookItalic';
font-family:'Gill Sans W01 Medium';
font-family:'GillSansW01-MediumItali';
font-family:'Gill Sans W01 Bold';
font-family:'GillSansW01-BoldItalic';
font-family:'Gill Sans W01 Heavy';
font-family:'GillSansW01-HeavyItalic';
font-family:'GillSansW01-ExtraBold';
font-family:'GillSansW01-UltraBold';
font-family:'Gill Sans W01 Shadow';
font-family:'Gill Sans W01 Cond';
font-family:'GillSansW01-CondensedBd';
font-family:'GillSansW01-CondensedUl';
font-family:'GillSansW01-XCondensedB';
font-family:'GillSansW01-LightShadow';
font-family:'Gill Sans Infant W01';
font-family:'GillSansInfantW01-Itali';
font-family:'GillSansInfantW01-Bold';
font-family:'GillSansInfantW01-BoldI';
font-family:'GillSansW01-DisplayBold 709822';
font-family:'GillSansW01-DisplayXtra';
font-family:'GillSansW01-DisplayBold 709825';
font-family:'Gill Sans MT W10 Light';
font-family:'GillSansMTW10-LightIt';
font-family:'Gill Sans W10 Bold';
font-family:'GillSansW10-BoldIt';
font-family:'Gill Sans MT W15 Light';
font-family:'GillSansMTW15-LightIt';
font-family:'Gill Sans W10 Medium';
font-family:'Gill Sans W15 Medium';
font-family:'GillSansW15-MediumIt';
font-family:'GillSansW10-MediumIt';
font-family:'GillSansW15-BoldIt';
font-family:'Gill Sans W15 Bold';


*/


/*

FORMULÄR

https://contactform7.com/styling-contact-form/
*/

.wpcf7 {
    
}

.wpcf7 lable {
    padding-top:1em;
    
}

.wpcf7 label span.description-required {
    font-size: 75%;
    opacity: 0.8;
}


input,
select,
input[type="text"],
input[type="email"],
textarea
{
    box-sizing: border-box;
    color: #000;
    background-color: #fafafa;
    border: 1px solid #a9a9a9;
    width: 100%;
    height: auto;
    padding: 10px;
    position: relative;
    font-size: 100%;
    font-weight: 500;
}

.wpcf7-checkbox .wpcf7-list-item {
    width: 100%;
}

/* Form button */
input [type="submit"] { 
    /*width: 100%;*/
    border-radius: 100%;
}

.wpcf7 input [type="checkbox"], input[type="checkbox" i] {
    width: auto;
}

input.wpcf7-form-control.wpcf7-submit {
    width: auto;
    background-color: #004562;
    border-width: 0;
    color: var(--wp--preset--color--base);
    font-family: inherit;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    line-height: inherit;
    padding-top: 0.8rem;
    padding-right: 1.6rem;
    padding-bottom: 0.8rem;
    padding-left: 1.6rem;
    text-decoration: none;
    border-radius: 3px;
}



input.wpcf7-form-control.wpcf7-submit:hover{
    background-color: color-mix(in srgb, var(--wp--preset--color--contrast) 85%, transparent);
    border-color: transparent;
    color: #ffffff;
    animation: pulse;
    animation-duration: 0.5s;
}
}

/*
span.wpcf7-list-item {
    width: 100%;
}
*/

/*
    Styling response messages   
*/
.wpcf7 form .wpcf7-response-output {
    margin: 2em 0.5em 1em;
    padding: 0.2em 1em;
    border: 2px solid #00a0d2; /* Blue */
}.wpcf7 form.init .wpcf7-response-output {
    display: none;
}
 
.wpcf7 form.sent .wpcf7-response-output {
    border-color: #46b450; /* Green */
}
 
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output {
    border-color: #dc3232; /* Red */
}
 
.wpcf7 form.spam .wpcf7-response-output {
    border-color: #f56e28; /* Orange */
}
 
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output {
    border-color: #ffb900; /* Yellow */
}

@media (max-width: 767px) {
  .hide-on-mobile-mq, .hide-on-mobile, .hide-mobile {
    display: none !important;
  }
}
